CMSIS-NN: Globals

| CMSIS-NN Version 3.1.0 CMSIS NN Software Library

- Main Page
- Usage and Description
- Reference

- All
- Functions
- Variables
- Enumerations
- Enumerator
- Macros

- a
- c
- d
- e
- l
- m
- n
- o
- p
- r
- s
- u

All Data Structures Files Functions Variables Enumerations Enumerator Macros Groups Pages

### - a -

- ACCUM_BITS : arm_nn_softmax_common_s8.c , arm_softmax_s8.c , arm_softmax_u8.c

### - c -

- CLAMP : arm_nnsupportfunctions.h

### - d -

- DIM_KER_X : arm_convolve_1x1_s8_fast.c
- DIM_KER_Y : arm_convolve_1x1_s8_fast.c
- DIV_POW2 : arm_nnsupportfunctions.h
- DIV_POW2_MVE : arm_nnsupportfunctions.h

### - e -

- EXP_ON_NEG : arm_nnsupportfunctions.h

### - l -

- LEFT_SHIFT : arm_nnsupportfunctions.h

### - m -

- MASK_IF_NON_ZERO : arm_nnsupportfunctions.h
- MASK_IF_ZERO : arm_nnsupportfunctions.h
- MAX : arm_nnsupportfunctions.h
- MIN : arm_nnsupportfunctions.h
- MUL_POW2 : arm_nnsupportfunctions.h
- MUL_SAT : arm_nnsupportfunctions.h
- MUL_SAT_MVE : arm_nnsupportfunctions.h

### - n -

- NN_Q15_MAX : arm_nn_math_types.h
- NN_Q15_MIN : arm_nn_math_types.h
- NN_Q31_MAX : arm_nn_math_types.h
- NN_Q31_MIN : arm_nn_math_types.h
- NN_Q7_MAX : arm_nn_math_types.h
- NN_Q7_MIN : arm_nn_math_types.h
- NN_ROUND : arm_nnsupportfunctions.h

### - o -

- ONE_OVER1 : arm_nnsupportfunctions.h

### - p -

- PACK_Q7x4_32x1 : arm_nnsupportfunctions.h

### - r -

- REDUCE_MULTIPLIER : arm_nnsupportfunctions.h
- RIGHT_SHIFT : arm_nnsupportfunctions.h

### - s -

- SELECT_IF_NON_ZERO : arm_nnsupportfunctions.h
- SELECT_USING_MASK : arm_nnsupportfunctions.h

### - u -

- USE_INTRINSIC : arm_nnfunctions.h